import { world, system, EquipmentSlot} from "@minecraft/server";
import { launchPlayer } from "./../../util/movements.js";
import { weaponDamageIndicator, generateUniqueId, stunDamageIndicator } from "./../../util/utils.js";
import { attackPlayerMeikyu, executer, plunge } from "./../../util/attackMethods.js";


const weapon = {
    name: 'magazine',
    display_name: "Magazine",
    dual_wield: [],
    type: "polearm",
    can_block: false,
    block_damage: 70,
    block_power: 20,
    block_time: 8,
    clash_power: 40,
    front_dodge: [2, 0.1],
    back_dodge:[-2, 0.25],
    left_dodge:[3, 0.2],
    right_dodge:[3, 0.2],
    stylePrefixes: ["minced.lance"],
    weaponSize: "large",
    cd: 16,
    available_moves: ["front_dodge"],
    execute(player, weapon, effect, mode, burn) {
    },
    setCore(player, item) {
        let Abilities = []
        item.setDynamicProperty("ammo", JSON.stringify(Abilities))
        item.setDynamicProperty("fightStyle", 0)
        item.setDynamicProperty("abilities", 9)
        player.getComponent('equippable')?.setEquipment(EquipmentSlot.Mainhand, item)
    }
}

export default weapon


